Managed VMware vSphere
All operations require authentication.
List Managed VMware vSphere servicesProduction
List Managed VMware vSphere services. Returns the names of the services of the account. Filter by IAM tags with iamTags.
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a Managed VMware vSphere serviceProduction
Get a Managed VMware vSphere service. Returns the service: state, version, location, access and session policies, and management interface URLs.
Path parameters
Domain of the service
Response
Advanced security state
The current bandwidth of your VMware on OVHcloud
Billing type of your VMware on OVHcloud
demomonthlyCan the PCC be migrated to VCD
Url to the VMware on OVHcloud certified interface
The current version of your VMware on OVHcloud
Description of your VMware on OVHcloud
Generation of your VMware on OVHcloud
1.02.0IAM resource metadata
Datacenter where your VMware on OVHcloud is physically located
The management interface name
azureopenstacksystemcentervcloudvcsavsphereThe reference universe information for your VMware on OVHcloud
EPCCMBMService name of your VMware on OVHcloud
Name of the current service pack
SPLA licensing state
Enable SSL v3 support. Warning : this option is not recommended as it was recognized as a security breach. If this is enabled, we advise you to enable the filtered User access policy
Current state of your VMware on OVHcloud
availabledelivereddisableddisablingerrormigratingprovisionningrecyclingreservedtoDisabletoProvisiontoRecycletoRemovetoUnprovisionunprovisionningupgradingAccess policy of your VMware on OVHcloud : opened to every IPs or filtered
filteredopenThe maximum amount of connected users allowed on the VMware on OVHcloud management interface
Which user will be disconnected first in case of quota of maximum connection is reached
firstlastThe timeout (in seconds) for the user sessions on the VMware on OVHcloud management interface. 0 value disable the timeout
Url to the VMware on OVHcloud vScope interface
Version of the management interface
Url to the VMware on OVHcloud web interface
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "advancedSecurity": true, "bandwidth": "string", "billingType": "demo", "canMigrateToVCD": true, "certifiedInterfaceUrl": "string", "commercialRange": "string", "description": "string", "generation": "1.0", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "location": "string", "managementInterface": "azure", "productReference": "EPCC", "serviceName": "string", "servicePackName": "string", "spla": true, "sslV3": true, "state": "available", "userAccessPolicy": "filtered", "userLimitConcurrentSession": 0, "userLogoutPolicy": "first", "userSessionTimeout": 0, "vScopeUrl": "string", "version": { "build": "string", "major": "string", "minor": "string" }, "webInterfaceUrl": "string"}
Get the service capabilitiesProduction
Get the service capabilities. Returns which features can be ordered or used on the service, such as backup, user creation and hypervisor upgrade.
Path parameters
Domain of the service
Response
canAddRessource right order status in this VMware on OVHcloud
activecomingSoonnoBackup feature order status for this VMware on OVHcloud
activecomingSoonnoif true user can be added in this VMware on OVHcloud (with POST /dedicatedCloud/{serviceName}/user
fullAdminRO user right order status in this VMware on OVHcloud
activecomingSoonnoNexus 1000v feature order status in this VMware on OVHcloud ?
activecomingSoonnoHypervisor upgrade order status in this VMware on OVHcloud (upgrade with POST /dedicatedCloud/{serviceName}/upgradeHypervisor)
userAccessPolicy property edition status in PUT /dedicatedCloud/{serviceName}
activecomingSoonnoExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ capabilities \
-H "authorization: Bearer $OVH_TOKEN"{ "addRessourceRightStatus": "active", "backupStatus": "active", "canAddUser": true, "fullAdminRoUserStatus": "active", "nexus1000vStatus": "active", "upgradable": true, "userAccessPolicyStatus": "active"}
Get service informationProduction
Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.
Path parameters
Domain of the service
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Change service contactsProduction
Change service contacts. Starts a procedure to change the admin, tech or billing contact of the service.
Path parameters
Domain of the service
Request body (required)
The contact to set as admin contact
The contact to set as billing contact
The contact to set as tech contact
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ changeContact \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Update the serviceProduction
Update the service. Updates the description, access policy, logout policy, session timeout, concurrent session limit and SSL v3 support of the service. Returns a task to track progress.
Path parameters
Domain of the service
Request body (required)
Description of your VMware on OVHcloud
Enable SSL v3 support. Warning: this option is not recommended as it was recognized as a security breach. If this is enabled, we advise you to enable the filtered User access policy
Access policy of your VMware on OVHcloud: opened to each IP or filtered
filteredopenThe maximum amount of connected users allowed on the VMware on OVHcloud management interface
Logout policy of your VMware on OVHcloud
firstlastThe timeout (in seconds) for the user sessions on the VMware on OVHcloud management interface. 0 value disable the timeout
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ changeProperties \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Confirm service terminationProduction
Confirm service termination. Terminates the service with the token sent by email to the admin contact. A reason, a future use and a comment can be given.
Path parameters
Domain of the service
Request body (required)
Commentary about your termination request
What next after your termination request
NOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITORReason of your termination request
FEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORTThe termination token sent by email to the admin contact
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ confirmTermination \
-H "authorization: Bearer $OVH_TOKEN""string"
Request service terminationProduction
Request service termination. Starts the termination of the service. The admin contact receives a token by email, to confirm with the confirmTermination call.
Path parameters
Domain of the service
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ terminate \
-H "authorization: Bearer $OVH_TOKEN""string"
Update a Managed VMware vSphere serviceDeprecated
Deprecated since Jan 9, 2019, will be removed on Mar 9, 2019 — use /dedicatedCloud/{serviceName}/changeProperties instead.
Update a Managed VMware vSphere service. Updates the description and the access and session policies of the service. Deprecated: use changeProperties instead.
Path parameters
Domain of the service
Request body (required)
Advanced security state
The current bandwidth of your VMware on OVHcloud
Billing type of your VMware on OVHcloud
demomonthlyCan the PCC be migrated to VCD
Url to the VMware on OVHcloud certified interface
The current version of your VMware on OVHcloud
Description of your VMware on OVHcloud
Generation of your VMware on OVHcloud
1.02.0Datacenter where your VMware on OVHcloud is physically located
The management interface name
azureopenstacksystemcentervcloudvcsavsphereThe reference universe information for your VMware on OVHcloud
EPCCMBMService name of your VMware on OVHcloud
Name of the current service pack
SPLA licensing state
Enable SSL v3 support. Warning : this option is not recommended as it was recognized as a security breach. If this is enabled, we advise you to enable the filtered User access policy
Current state of your VMware on OVHcloud
availabledelivereddisableddisablingerrormigratingprovisionningrecyclingreservedtoDisabletoProvisiontoRecycletoRemovetoUnprovisionunprovisionningupgradingAccess policy of your VMware on OVHcloud : opened to every IPs or filtered
filteredopenThe maximum amount of connected users allowed on the VMware on OVHcloud management interface
Which user will be disconnected first in case of quota of maximum connection is reached
firstlastThe timeout (in seconds) for the user sessions on the VMware on OVHcloud management interface. 0 value disable the timeout
Url to the VMware on OVHcloud vScope interface
Version of the management interface
Url to the VMware on OVHcloud web interface
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Update service informationProduction
Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.
Path parameters
Domain of the service
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"